bobhost
Contributor
Contributor

Can't install vSphere Client 5.1 on Windows 8

Hi,

I'm having trouble installing vSphere Client on Windows 8.

The version I'm trying to install is: VMware-viclient-all-5.1.0-786111.exe

The installer extracts, asks me to select an installation language, gets me to accept the licence agreement and installation path but on continuing it looks as though it goes to do something in the background but no success / error message is ever returned and the install never occurs.  I've tried installing using compatability mode Windows 7 and Windows XP SP3 and this has made no difference.

I managed to find the MSI that is created doing the installation process in my Users -> AppData folder.

On running this file: VMware vSphere Client 5.1.msi it returns the following error message:

"Error 25071.Setup has detected that Microsoft .NET Framework 3.5 SP1 pre-requisite is not installed on this system. Please install this pre-requisite and try again."

As Windows 8 has .NET Framework 4.5 included I'm not sure what to do now.

Can anyone help please?

Thanks!

Tags (2)
2 Replies
spravtek
Expert
Expert

Hi, welcome to the communities...

This should get you started: http://msdn.microsoft.com/en-us/library/hh506443.aspx

lHgOl
Contributor
Contributor

Thanks! works for me.

I use Windows 10 and i just install Netframework 3.5.@

0 Kudos